Bug 237739 - (perl-File-Modified) Review Request: perl-File-Modified - Checks intelligently if files have changed
Review Request: perl-File-Modified - Checks intelligently if files have changed
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernard Johnson
Fedora Package Reviews List
http://search.cpan.org/dist/File-Modi...
:
Depends On:
Blocks: Catalyst-Runtime
  Show dependency treegraph
 
Reported: 2007-04-25 00:42 EDT by Chris Weyl
Modified: 2010-08-25 13:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-03 23:43:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bjohnson: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2007-04-25 00:42:09 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-File-Modified-0.07-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-File-Modified.spec

Description:
The Modified module is intended as a simple method for programs to detect
whether configuration files (or modules they rely on) have changed. There
are currently two methods of change detection implemented, mtime and MD5.
The MD5 method will fall back to use timestamps if the Digest::MD5 module
cannot be loaded.
Comment 1 Chris Weyl 2007-04-25 00:43:22 EDT
This package is a prereq of the Catalyst framework.
Comment 2 Bernard Johnson 2007-04-29 14:11:22 EDT
You might want to look into this:

+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/test....ok
        2/44 skipped: Digest:: is installed, 1/44 unexpectedly succeeded
All tests successful (1 subtest UNEXPECTEDLY SUCCEEDED), 2 subtests skipped.
Files=1, Tests=44,  4 wallclock secs ( 0.35 cusr +  0.05 csys =  0.40 CPU)
Comment 3 Chris Weyl 2007-04-29 17:48:07 EDT
That appears to be a broken (and badly written) TODO test that doesn't have the
decentcy to fail successfully. :)  The skipped tests are expected.

Patched, added a br of perl(Test::Exception)

SRPM URL: http://home.comcast.net/~ckweyl/perl-File-Modified-0.07-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-File-Modified.spec
Comment 4 Chris Weyl 2007-04-29 18:15:05 EDT
Err, that should have been:

SRPM URL: http://home.comcast.net/~ckweyl/perl-File-Modified-0.07-2.fc6.src.rpm
Comment 5 Bernard Johnson 2007-04-30 12:59:24 EDT
I love it ;)

+ find . -type f -name .cvsignore -exec rm -v '{}' ';'
removed `./.cvsignore'
removed `./t/.cvsignore'

...

+ /usr/bin/perl Makefile.PL INSTALLDIRS=vendor
Checking if your kit is complete...
Warning: the following files are missing in your kit:
        .cvsignore
        t/.cvsignore
Please inform the author.
Writing Makefile for File::Modified


Just sed those out of the MANIFEST as well.


Also, I see it's still skipping two of the tests:

+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/test....ok
        2/44 skipped: Digest:: is installed
All tests successful, 2 subtests skipped.
Files=1, Tests=44,  3 wallclock secs ( 0.37 cusr +  0.04 csys =  0.41 CPU)

I didn't look at the actuals skipped tests, but if it's indicating that it
doesn't need to run the test because perl(Digest) is installed (and the tests
are irrelevent when perl(Digest) is present), then that should be noted in the
spec file near %check.
Comment 6 Chris Weyl 2007-04-30 17:15:51 EDT
(In reply to comment #5)
> Just sed those out of the MANIFEST as well.

Done.  Also filed at rt.cpan.org...

> Also, I see it's still skipping two of the tests:
...snip... 
> I didn't look at the actuals skipped tests, but if it's indicating that it
> doesn't need to run the test because perl(Digest) is installed (and the tests
> are irrelevent when perl(Digest) is present), then that should be noted in the
> spec file near %check.

Done -- it's expected, and perl(Digest) is core so it's always going to be
there...  noted in the spec.

SRPM URL: http://home.comcast.net/~ckweyl/perl-File-Modified-0.07-3.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-File-Modified.spec
Comment 7 Bernard Johnson 2007-04-30 17:36:38 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: FC-6 / i386
 [x] Rpmlint output: None
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL or Artistic
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     MD5SUM this package    : 271a991b96ccbdaeb7098272c9f97d51
     MD5SUM upstream package: 271a991b96ccbdaeb7098272c9f97d51
 [x] Package is not known to require ExcludeArch, OR:
     Arches excluded:
     Why:
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: FC-6 / i386
 [-] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files are correct.
 [-] File based requires are sane.


=== Issues ===
1.

=== Final Notes ===
1.


================
*** APPROVED ***
================
Comment 8 Chris Weyl 2007-04-30 17:46:11 EDT
New Package CVS Request
=======================
Package Name: perl-File-Modified
Short Description: Checks intelligently if files have changed
Owners: cweyl@alumni.drew.edu
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com
Comment 9 Chris Weyl 2007-05-03 23:43:10 EDT
Imported and building.  I think. 

Thanks for the review! :)
Comment 10 Iain Arnell 2010-08-25 01:44:34 EDT
Package Change Request
======================
Package Name: perl-File-Modified
New Branches: el6
Owners: iarnell tremble
InitialCC: perl-sig
Comment 11 Kevin Fenzi 2010-08-25 13:12:40 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.